Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.aspects.ioc
Class IocInterceptor

    java.lang.Object
      org.jboss.aspects.ioc.IocInterceptor

All Implemented Interfaces:
  org.jboss.aop.advice.Interceptor, org.jboss.aop.advice.InterceptorFactory

public class IocInterceptor
extends Object
implements org.jboss.aop.advice.Interceptor, org.jboss.aop.advice.InterceptorFactory

Comment

Version:
  $Revision: 1.4 $
Author:
  Bill Burke

Constructor Summary
`IocInterceptor()`

Method Summary
`org.jboss.aop.advice.Interceptor` | `create(org.jboss.aop.Advisor advisor, org.jboss.aop.joinpoint.Joinpoint jp)`
`String` | `getName()`
`Object` | `invoke(org.jboss.aop.joinpoint.Invocation invocation)`
`boolean` | `isDeployed()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IocInterceptor

    public IocInterceptor()

Method Detail

### isDeployed

    public boolean isDeployed()

  Specified by:
    `isDeployed` in interface `org.jboss.aop.advice.InterceptorFactory`

### getName

    public String getName()

  Specified by:
    `getName` in interface `org.jboss.aop.advice.Interceptor`

### invoke

    public Object invoke(org.jboss.aop.joinpoint.Invocation invocation)
                  throws Throwable

  Specified by:
    `invoke` in interface `org.jboss.aop.advice.Interceptor`
  Throws:
    `Throwable`

### create

    public org.jboss.aop.advice.Interceptor create(org.jboss.aop.Advisor advisor,
                                                   org.jboss.aop.joinpoint.Joinpoint jp)

  Specified by:
    `create` in interface `org.jboss.aop.advice.InterceptorFactory`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.